Bug 485842 - mingw32-w32api should provide mingw32(version.dll)
Summary: mingw32-w32api should provide mingw32(version.dll)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw32-w32api
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL: http://sailer.fedorapeople.org
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-16 23:37 UTC by Thomas Sailer
Modified: 2009-03-13 18:38 UTC (History)
3 users (show)

Fixed In Version: 40-3.fc10.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-17 12:39:12 UTC


Attachments (Terms of Use)

Description Thomas Sailer 2009-02-16 23:37:13 UTC
Description of problem:
I'm trying to package winpcap
http://sailer.fedorapeople.org/mingw32-wpcap-4.1.beta5-1.fc10.src.rpm

packet.dll links with libversion.a from mingw32-w32api. libversion.a pulls in version.dll, therefore my mingw32-wpcap requires mingw32(version.dll). But no package provides it, so I cannot install the newly built rpm.


Version-Release number of selected component (if applicable):
mingw32-w32api-3.12-8.fc10.noarch

How reproducible:
always

Steps to Reproduce:
1.rpmbuild --rebuild mingw32-wpcap-4.1.beta5-1.fc10.src.rpm
2.rpm -i mingw32-wpcap-4.1.beta5-1.fc10.noarch.rpm
  
Actual results:
error: Failed dependencies:                                              
        mingw32(version.dll) is needed by mingw32-wpcap-4.1.beta5-1.fc10.noarch

Expected results:
mingw32-wpcap installs without error message

Additional info:

Comment 1 Richard W.M. Jones 2009-02-17 08:37:57 UTC
I added this virtual provides to Rawhide (mingw32-filesystem 47).

Comment 2 Richard W.M. Jones 2009-02-17 08:54:33 UTC
Fix posted in Fedora 10 updates-testing (mingw32-filesystem 40-3.fc10.1).
Please let us know if this resolves the problem.

Also (and more importantly) winpcap is a "development tool or library"
and therefore eligible to be added to the Fedora MinGW project.  To
do this, you will need to file a Review Request for the package:

http://fedoraproject.org/wiki/PackageMaintainers/Join

Comment 3 Thomas Sailer 2009-02-17 12:39:12 UTC
works for me now, thanks a lot!

Comment 4 Thomas Sailer 2009-02-17 13:24:03 UTC
FYI: winpcap review filed under https://bugzilla.redhat.com/show_bug.cgi?id=485915

Comment 5 Fedora Update System 2009-03-13 18:38:21 UTC
mingw32-filesystem-40-3.fc10.2 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.